
Redmine - Defect #3280

Upgrade to 0.8.3 did not upgrade ampersand in wiki page title correctly

2009-05-01 06:27 - Mark P

Status: Closed Start date: 2009-04-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 0.8.3

Description

Used the Option 1 upgrade method from RedmineUpgrade to upgrade to 0.8.3 from 0.7.3 where we had a wiki page title that

included an ampersand, ie "XY&Z Text".  When the upgrade was complete, the referring wiki page truncated the page link for the

ampersand page.  If I pasted the wiki page URL as it was in the 0.7.3 version it came up in 0.8.3, so the migrate database did bring

the page along in the migration.

To fix it manually, I renamed the wiki page and removed the ampersand.  I then changed the Wiki link text in the referring page to

reflect the renamed Wiki.  Agreed that it was not a big effort, but it could have been if I had lots of wiki pages with special characters.

History

#1 - 2009-05-01 06:30 - Mark P

Can you please also spell ampersand correctly in this defect's subject line to correct my typo (forgot the 'a')?  Thanks.

#2 - 2009-05-01 20:18 - Eric Davis

- Subject changed from Upgrade to 0.8.3 did not upgrade mpersand in wiki page title correctly to Upgrade to 0.8.3 did not upgrade ampersand in wiki

page title correctly

#3 - 2013-05-11 03:07 - Jean-Baptiste Barth

- Status changed from New to Closed

- Resolution set to Wont fix

Old issue, people having this problem might have fixed it manually, I think it can be safely closed.

Powered by TCPDF (www.tcpdf.org)

2024-05-04 1/1

https://www.redmine.org/projects/redmine/wiki/RedmineUpgrade
http://www.tcpdf.org

